#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_ShellItemCFGData
{
	//ÐòºÅ
	int mID;
	//Ãû³Æ
	std::string mName;
	//±¶ÂÊ
	int mRate;
	//×ÊÔ´
	std::string mSound;
};

class Fish_ShellItemCFG
{
public:
private:
	static std::auto_ptr<Fish_ShellItemCFG> msSingleton;
public:
	int GetCount();
	const Fish_ShellItemCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_ShellItemCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_ShellItemCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_ShellItemCFGData> mMapData;
};
